<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */





class LoginDeniedMobilePageContainer extends DefaultMobilePageContainer{
  public function __construct($pTitle){
    parent::__construct($pTitle, 0);
    $loginPage = new LoginDeniedMobilePage();
    $loginPage->body->content   = $loginPage->getMobileHtml();
    $loginPage->header->content = '<h1>'.$pTitle.'</h1>';

    $this->addPage($loginPage, false);
  }
}

class LoginDeniedMobilePage extends DefaultMobilePage {
  
  public function __construct(){
    parent::__construct(0, 0, 'Login');
    $this->showSiteHeader = false;
  }
  
  public function getMobileHtml()
  {
    $loginDeniedPageText  = '<div align="center">'."\n";
    $loginDeniedPageText .= '  <img src="images/vhs.jpg" alt="VHS Logo">'.BR_WT.BR_WT."\n";  
    $loginDeniedPageText .= '<span class="bold">Aus Sicherheitsgr&uuml;nden ist ein erneutes Anmelden an KuferMobile
                             erst nach dem Schlie&szlig;en aller Browserfenster möglich.</span>';
    $loginDeniedPageText .= '</div>'."\n";
    return $loginDeniedPageText;
  }
}

?>